#!/bin/ksh
#
# %W% %E% SMI
#
# Copyright 1997 Sun Microsystems, Inc. All Rights Reserved.
#

. ${0%/*}/ereg.utility.ksh

#
# parse_query
#
if [ "$REQUEST_METHOD" = "POST" ] ; then
  read input
else
  input="$QUERY_STRING"
fi

oldIFS=$IFS
IFS='&'
set -- $input
IFS=$oldIFS
while [ "$1" ]
do
    eval "${1%%=*}=\$(${0%/*}/urldecode -- '${1#*=}')"
    shift
done

#
# Get values from installation
#
get_name="org-name-long"
read_1_val
rc=$?
if [ "$rc" != "0" ]; then
  orgnamelong=$get_name
fi

get_name="postal-address"
read_1_val
rc=$?
if [ "$rc" != "0" ]; then
  postaladdress=$get_name
fi

get_name="locality"
read_1_val
rc=$?
if [ "$rc" != "0" ]; then
  locality=$get_name
fi

get_name="province"
read_1_val
rc=$?
if [ "$rc" != "0" ]; then
  province=$get_name
fi

get_name="country"
read_1_val
rc=$?
if [ "$rc" != "0" ]; then
  country=$get_name
fi

get_name="phone-number"
read_1_val
rc=$?
if [ "$rc" != "0" ]; then
  phonenumber=$get_name
fi

get_name="fax-number"
read_1_val
rc=$?
if [ "$rc" != "0" ]; then
  faxnumber=$get_name
fi

#
# Set Page Title
#
title=`$gettext "Welcome to Sun Internet Mail Registration."`
head_printed="0"

#
# Display Header
#
print_head

echo "<P>"
$gettext "Registration identifies you as a Sun Internet Mail System Administrator."
echo "</P>"

echo "<P>"
$gettext "You can register now or at a future date."
echo "</P>"

echo "<P>"
$gettext "The field entries are based on data entered during installation. You may update the information prior to submission."
echo "</P>"

echo "<FORM METHOD=\"POST\" ACTION=\"${cgidir}/sims.mailereg.ksh.cgi\">"
echo "<INPUT TYPE=\"hidden\" NAME=\"SURVEY_ID\" VALUE=\"SIMS 3.5\">"
echo "<INPUT TYPE=\"hidden\" NAME=\"SURVEY_VERSION\" VALUE=\"1.0\">"
echo "<INPUT TYPE=\"hidden\" NAME=\"SURVEY_TYPE\" VALUE=\"basic\">"
echo "<INPUT TYPE=\"hidden\" NAME=\"USER_ID\" VALUE=\"`$hostid`\">"
echo "<INPUT TYPE=\"hidden\" NAME=\"LOCALE\" VALUE=\"$locale\">"
echo "<INPUT TYPE=\"hidden\" NAME=\"SYSTEM\" VALUE=\"`$uname -p`\">"
echo "<INPUT TYPE=\"hidden\" NAME=\"OS\" VALUE=\"`$uname -sr`\">"


echo "<TABLE BORDER=\"0\">"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "ID:"`"</STRONG></TD>"
echo "<TD>`$hostid`</TD></TR>"

echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "System:"`"</STRONG></TD>"
echo "<TD>`$uname -p`</TD>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "OS:"`"</STRONG></TD>"
echo "<TD>`$uname -sr`</TD></TR>"

echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Prefix:"`"</STRONG></TD>"
echo "<TD COLSPAN=3>"
echo "<SELECT NAME=\"PREFIX\" SIZE=1>"
echo "<OPTION> "`$gettext "None"`
echo "<OPTION> "`$gettext "Mr."`
echo "<OPTION> "`$gettext "Ms."`
echo "<OPTION> "`$gettext "Mrs."`
echo "<OPTION> "`$gettext "Miss"`
echo "<OPTION> "`$gettext "Dr."`
echo "<OPTION> "`$gettext "Prof."`
echo "</SELECT>"
echo "</TD></TR>"

echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "First Name:"`"</STRONG></TD>"
echo "<TD><INPUT TYPE=\"text\" NAME=\"FIRST_NAME\" size=17></TD>"

echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Last Name:"`"</STRONG></TD>"
echo "<TD><INPUT TYPE=\"text\" NAME=\"LAST_NAME\" size=16></TD></TR>"

echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Job Function:"`"</STRONG></TD>"
echo "<TD COLSPAN=3>"
echo "<SELECT NAME=\"ROLE\" SIZE=1>"
echo "<OPTION> "`$gettext "None"`
echo "<OPTION> "`$gettext "Network/LAN Manager/Adminstrator"`
echo "<OPTION> "`$gettext "PC Manager/Administrator"`
echo "<OPTION> "`$gettext "Developer/Programmer"`
echo "<OPTION> "`$gettext "Engineering"`
echo "<OPTION> "`$gettext "Systems Integrator/VAR/Consultant"`
echo "<OPTION> "`$gettext "Webmaster/Web Design"`
echo "<OPTION> "`$gettext "Other"`
echo "</SELECT>"
echo "</TD></TR>"

echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Business:"`"</STRONG></TD>"
echo "<TD COLSPAN=3>"
echo "<SELECT NAME=\"BUSINESS\" SIZE=1>"
echo "<OPTION> "`$gettext "None"`
echo "<OPTION> "`$gettext "Aerospace"`
echo "<OPTION> "`$gettext "Automotive"`
echo "<OPTION> "`$gettext "Consulting"`
echo "<OPTION> "`$gettext "Education"`
echo "<OPTION> "`$gettext "Engineering"`
echo "<OPTION> "`$gettext "Entertainment"`
echo "<OPTION> "`$gettext "Federal Government"`
echo "<OPTION> "`$gettext "Financial"`
echo "<OPTION> "`$gettext "Hardware Manufacturer"`
echo "<OPTION> "`$gettext "Insurance"`
echo "<OPTION> "`$gettext "Manufacturing"`
echo "<OPTION> "`$gettext "Medical"`
echo "<OPTION> "`$gettext "Oil and Gas"`
echo "<OPTION> "`$gettext "Publishing"`
echo "<OPTION> "`$gettext "Real Estate"`
echo "<OPTION> "`$gettext "Research"`
echo "<OPTION> "`$gettext "Retail"`
echo "<OPTION> "`$gettext "Software Manufacturer"`
echo "<OPTION> "`$gettext "State/Local Government"`
echo "<OPTION> "`$gettext "Telecommunications-Equipment Manufacturer"`
echo "<OPTION> "`$gettext "Telecommunications-Internet Service Provider"`
echo "<OPTION> "`$gettext "Telecommunications-Network Service Provider"`
echo "<OPTION> "`$gettext "Transportation"`
echo "<OPTION> "`$gettext "Utilities"`
echo "<OPTION> "`$gettext "Other"`
echo "</SELECT>"
echo "</TD></TR>"

echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Company:"`"</STRONG></TD>"
echo "<TD COLSPAN=3><INPUT TYPE=\"text\" NAME=\"COMPANY\" size=50 VALUE=\"${orgnamelong}\"></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Address 1:"`"</STRONG></TD>"
echo "<TD COLSPAN=3><INPUT TYPE=\"text\" NAME=\"ADDRESS1\" size=50 VALUE=\"${postaladdress}\"></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Address 2:"`"</STRONG></TD>"
echo "<TD COLSPAN=3><INPUT TYPE=\"text\" NAME=\"ADDRESS2\" size=50></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Address 3:"`"</STRONG></TD>"
echo "<TD COLSPAN=3><INPUT TYPE=\"text\" NAME=\"ADDRESS3\" size=50></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Address 4:"`"</STRONG></TD>"
echo "<TD COLSPAN=3><INPUT TYPE=\"text\" NAME=\"ADDRESS4\" size=50></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "City:"`"</STRONG></TD>"
echo "<TD><INPUT TYPE=\"text\" NAME=\"CITY\" size=17 VALUE=\"${locality}\"></TD>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "State/Province:"`"</STRONG></TD>"
echo "<TD><INPUT TYPE=\"text\" NAME=\"STATE\" size=16 VALUE=\"${province}\"></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Postal/Zip Code:"`"</STRONG></TD>"
echo "<TD><INPUT TYPE=\"text\" NAME=\"POSTAL_CODE\" SIZE=17></TD>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Country:"`"</STRONG></TD>"
echo "<TD><INPUT TYPE=\"text\" NAME=\"COUNTRY\" SIZE=16 VALUE=\"${country}\"></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Phone:"`"</STRONG></TD>"
echo "<TD><INPUT TYPE=\"text\" NAME=\"PHONE\" size=17 VALUE=\"${phonenumber}\"></TD>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Fax:"`"</STRONG></TD>"
echo "<TD><INPUT TYPE=\"text\" NAME=\"FAX\" size=16 VALUE=\"${faxnumber}\"></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Email:"`"</STRONG></TD>"
echo "<TD COLSPAN=3><INPUT TYPE=\"text\" NAME=\"EMAIL\" size=50></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Company URL:"`"</STRONG></TD>"
echo "<TD COLSPAN=3><INPUT TYPE=\"text\" NAME=\"URL\" size=50></TD></TR>"
echo "<TR>"
echo "<TD ALIGN=RIGHT><STRONG>"`$gettext "Sales Rep:"`"</STRONG></TD>"
echo "<TD COLSPAN=3><INPUT TYPE=\"text\" NAME=\"REP\" size=50></TD></TR>"
echo "</TABLE>"
echo "<HR>"
echo "<STRONG>"`$gettext "How many mailboxes are you planning on purchasing within the next year?"`"</STRONG><BR>"
echo "<TABLE>"
echo "<TR>"
echo "<TD><INPUT TYPE=\"radio\" NAME=\"MAILBOX_PLANS\" VALUE=\"0-1,000\">"`$gettext "0-1,000"`"</TD>"
echo "<TD><INPUT TYPE=\"radio\" NAME=\"MAILBOX_PLANS\" VALUE=\"1,001-5,000\">"`$gettext "1,001-5,000"`"</TD>"
echo "<TD><INPUT TYPE=\"radio\" NAME=\"MAILBOX_PLANS\" VALUE=\"5,001-10,000\">"`$gettext "5,001-10,000"`"</TD></TR>"
echo "<TR>"
echo "<TD><INPUT TYPE=\"radio\" NAME=\"MAILBOX_PLANS\" VALUE=\"10,001-25,000\">"`$gettext "10,001-25,000"`"</TD>"
echo "<TD><INPUT TYPE=\"radio\" NAME=\"MAILBOX_PLANS\" VALUE=\"25,001-50,000\">"`$gettext "25,001-50,000"`"</TD>"
echo "<TD><INPUT TYPE=\"radio\" NAME=\"MAILBOX_PLANS\" VALUE=\"50,001-100,000\">"`$gettext "50,001-100,000"`"</TD></TR>"
echo "<TR>"
echo "<TD><INPUT TYPE=\"radio\" NAME=\"MAILBOX_PLANS\" VALUE=\"Over-100,000\">"`$gettext "Over 100,000"`"</TD>"
echo "<TD><INPUT TYPE=\"radio\" NAME=\"MAILBOX_PLANS\" VALUE=\"Unknown\" CHECKED>"`$gettext "Unknown"`"</TD></TR>"
echo "</TABLE>"
echo "<P>"
echo "<CENTER>"
echo "<INPUT TYPE=\"submit\" VALUE=\"`$gettext "Send"`\"><INPUT TYPE=\"reset\" VALUE="\"`$gettext "Clear Form"`\"">"
echo "</CENTER>"
echo "</FORM>"

#
# Display the footer
#
print_foot
